unit IndexDef;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Grids, StdCtrls, Buttons;

type
  TformIndxDef = class(TForm)
    StringGrid1: TStringGrid;
    BitBtn1: TBitBtn;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure LoadTable;
  end;

var
  formIndxDef: TformIndxDef;

implementation

{$R *.DFM}

uses
  DbParmForm, db;

procedure TformIndxDef.FormCreate(Sender: TObject);
begin
  with StringGrid1 do begin
    ColWidths[1] := Width - ColWidths[0] - 20;
    Cells[0,0] := 'Index Name';
    Cells[1,0] := 'Index Definition';
    end;
  {od with}
end;

procedure TformIndxDef.LoadTable;
var
  Cntr: Integer;
  Limit: Integer;
begin
  with DbProp.cbInxName, StringGrid1 do begin
    Limit := Items.Count;
    StringGrid1.RowCount := Limit;
    for Cntr := 1 to Limit -1 do begin
      Cells[0,Cntr] := TIndexDef(Items.Objects[Cntr]).Name;
      Cells[1,Cntr] := TIndexDef(Items.Objects[Cntr]).Fields;
      if Length(Cells[1,Cntr]) = 0 then
        Cells[1,Cntr] := TIndexDef(Items.Objects[Cntr]).Expression;
      {fi}
      end;
    {od for}
    end;
  {od with}
end;  { TformIndxDef.LoadTable }

end.
