{***********************************************************************}
{                                                                       }
{  About displays the About window                                      }
{                                                                       }
{  Copyright (c) 2000 Douglas P. Baird - dpbaird@sprynet.com            }
{                                                                       }
{***********************************************************************}

unit About;

interface

uses Windows, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    OKButton: TButton;
    ProgramIcon: TImage;
    ProductName: TLabel;
    Version: TLabel;
    Copyright: TLabel;
    StaticText1: TStaticText;
    StaticText2: TStaticText;
    StaticText3: TStaticText;
    Label1: TLabel;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutBox: TAboutBox;

implementation

{$R *.DFM}

{***********************************************************************}
{                                                                       }
{  FormCreate is included to facilitate program maintenance             } 
{                                                                       }
{***********************************************************************}


procedure TAboutBox.FormCreate(Sender: TObject);
begin
  StaticText1.Caption := Application.Title;
  StaticText2.Caption := '3.4';
  StaticText3.Caption := '2000-2005 Douglas P. Baird';
end;

end.

